Imagen de Jose Luis 1320
+1
-1
-1

igual y estas compilando un driver muy antiguo e incompatible con el kernel.

No se para que me muestras la salida de cuando instalas build-essential; el problema que sale con thunderbird NO SE RELACIONA en lo absoluto, ese pastebin es IRRELEVANTE.

Lo de sed: es cuestión de que tu mismo leas sobre el uso de ese programa, no es que no funcione, es que tu no hiciste bien el comando.

En general:

Tu problema no es algo que se te puede explicar con palitos ni con manzanas, depende de variables muy específicas y por más que alguien que tenga mucha más experiencia en compilar drivers de ese tipo, de todos modos sería muy difícil a que llegases a algo basándote en "pasos que te den"... es cuestión de que tu mismo le encuentres como hacerlo.

+1
-1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Jose Luis 1320
+1
-1
-1

1) Instalas primero gcc-c++, eso lo haces así:

sudo apt-get install build-essential

En lugar de como dice ahí (yum install gcc-c++).

2) Luego Instalas los kernel-headers

sudo apt-get install linux-headers-TU_VERSIÓN_DEL_KERNEL

Ejemplo: yo tengo el kernel 3.2.0-4-amd64, entonces yo instalaría los headers así:

sudo apt-get install linux-headers-3.2.0-4-amd64

3)Descargaste el tar, ya lo extrajiste, ok, entonces con la terminal entras al directorio en donde extrajiste los archivos

cd /home/tu_usuario/en/donde/extrajiste/el/tar

4) Puedes abrir los archivos que te pide con gedit, los editas, en el primero "Makefile" o agregas o descomentas (le quitas el # o // o /* al principio) de MODE = STA y tal vez agregas o cambias TARGET = LINUX

5) En el segundo os/linux/config.mk puede que no sea necesario editarlo, pero si te marca error en la compilada, entonces editas, en donde dice

CC := $(CROSS_COMPILE)gcc
LD := $(CROSS_COMPILE)ld

cambias por

CC := /usr/bin/gcc
LD := /usr/bin/ld

y todos los WFLAGS los cambias por CFLAGS... no recuerdo como pero con 'sed' podrías hacer eso de forma fácil.

6) Compilas; sudo make Generalmente no necesitas ser root para compilar, pero en este caso si.

7) Instalas sudo make install

+1
-1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Jose Luis 1320
+1
-1
-1

1.- Ubuntu NO es Linux, Ubuntu USA Linux, posteriormente no existe "linux 12.04" y NO es una forma práctica de nombrarlo, presta a confusión.
2.- lspci lista dispositivos, no importa si trabajen o no.
3.- Bien.
4.- Bien de nuevo.
5.- ¿Que coas te "manda" hacer en el makefile? tal vez si pones lo que lees en la página de Asus o el enlace, tal vez te pueda orientar.
6.- Bien por ti que ya identificaste el controlador que necesitas, será más fácil para ti a la hora de buscar como instalarlo.

+1
-1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Jose Luis 1320
+1
-1
-1

Y yo no he visto nada.

+1
-1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Jose Luis 1320
+1
-1
-1

¿y cual es el problema?

la próxima vez sube tu información en un pastebin y pegas el link acá.

+1
-1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro